import request from '@/plugins/request/system';


/**
 * 获取角色列表
 * @param data
 * @constructor
 */
export function  SystemRole(data = {}) {
  return request({
    url: '/systemv1/role/list',
    method: 'post',
    data : data
  });
}



/**
 * 添加 | 修改 角色
 * @param data
 * @constructor
 */
export function  SystemRoleSave(data) {
  return request({
    url: '/systemv1/role/save',
    method: 'post',
    data : data
  });
}


/**
 * 删除角色
 * @param data
 * @constructor
 */
export function  SystemRoleDel(data) {
  return request({
    url: '/systemv1/role/del',
    method: 'post',
    data : data
  });
}



/**
 * 角色权限列表
 * @param data
 * @constructor
 */
export function  SystemRoleStingList(data) {
  return request({
    url: '/systemv1/role/setingList',
    method: 'post',
    data : data
  });
}



/**
 * 角色权限列表
 * @param data
 * @constructor
 */
export function  SystemRoleStingSave(data) {
  return request({
    url: '/systemv1/role/setingSave',
    method: 'post',
    data : data
  });
}
